Bug 98470 - install_initd: Support "Should-Start" and "Should-Stop"
install_initd: Support "Should-Start" and "Should-Stop"
Product: Fedora
Classification: Fedora
Component: chkconfig (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
: FutureFeature, Reopened
Depends On:
  Show dependency treegraph
Reported: 2003-07-02 14:47 EDT by Tobias Burnus
Modified: 2014-03-16 22:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: chkconfig-1.3.45-1.fc13
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-03-04 10:36:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to support Should-Start/Stop (5.02 KB, patch)
2010-03-02 07:32 EST, Iain Arnell
no flags Details | Diff

  None (edit)
Description Tobias Burnus 2003-07-02 14:47:13 EDT
It would be nice if install_initd would support the Should-Start/Stop header
introduced in gLSB 1.9. This is a nice feature and already used by the first
appliations (http://xprint.mozdev.org) and SuSE/UnitedLinux have used it also
for their init scripts (there X-UnitedLinux-Should-Start/Stop called). (Debian's
lsb.deb has also support for Should-Start/Stop :-)

The specification can -- as always -- found on the Linux Base server:
- Green marked diffs:

- Current "Work in Progress":

- gLSB Specs (1.9 freeze: 3 July 2003; spec auth approval: 8 August;
  LSB 1.9 is not used for certification but paves the way for LSB 2.0):

If you have doubts, send an mail to lsb-discuss@freestandards.org
Comment 1 Tobias Burnus 2003-07-23 16:55:40 EDT
New URL (no longer part of the WIP, now in 1.8.030702, to become 1.9):
Comment 2 John Poelstra 2008-07-02 15:24:27 EDT
Bill-what are your thoughts.  Should this bug remain open?
Comment 3 Bill Nottingham 2008-12-04 14:57:14 EST
It's unlikely to happen without a patch appearing. It's not a required part of the spec.
Comment 4 Bill Nottingham 2008-12-04 14:57:45 EST
Actually, leaving open. But the comments about when it will be handled still apply.
Comment 5 Iain Arnell 2010-03-02 07:32:46 EST
Created attachment 397310 [details]
patch to support Should-Start/Stop

This is a simple patch against 1.3.44 to detect Should-Start/Stop header entries and use them for weak dependency resolution.
Comment 6 Bill Nottingham 2010-03-04 10:36:53 EST
Merged in http://git.fedorahosted.org/git/?p=chkconfig.git;a=commitdiff;h=25382cccc47e853d78ec3ca92de345ed5164433b (although it's then been later cleaned up to not cut-and-paste the same code so much.)

Thanks for the patch, will be in 1.3.45-1.
Comment 7 Fedora Update System 2010-03-04 10:49:05 EST
chkconfig-1.3.45-1.fc13 has been submitted as an update for Fedora 13.
Comment 8 Fedora Update System 2010-03-11 08:27:23 EST
chkconfig-1.3.45-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.